package cz.moneta.test.dsl.mwf;

import java.util.Map;

public class MWFHJ2Data {

    private Map<String, Object> params;
    
    public MWFHJ2Data(Map<String, Object> params) {
        this.params = params;
    }

    public Double rsLoanAmount() {
        return (Double) params.get("RS_LOAN_AMOUNT");
    }

    public Long rsTerm() {
        return (Long) params.get("RS_TERM");
    }

    public Double rsInstalment() {
        return (Double) params.get("RS_INSTALMENT");
    }

    public Double rsInterestRate() {
        return (Double) params.get("RS_INTEREST_RATE");
    }

    public Double rsRpsn() {
        return (Double) params.get("RS_RPSN");
    }

    public Double rsFirstDrawAmt() {
        return (Double) params.get("RS_FIRST_DRAW_AMT");
    }

    public Double rsTotalAmount() {
        return (Double) params.get("RS_TOTAL_AMOUNT");
    } 

}
